import React from "react";
import { homeSubjectCardInfo } from "../../../utils/Constants";
import style from "./HomeSubjectCard.module.css";

const HomeSubjectCard = () => {
  return (
    <div className="grid-four gap15 margin-bottommin heightauto">
      {homeSubjectCardInfo &&
        homeSubjectCardInfo?.map((item, key) => {
          return (
            <div key={key} className="innercard sub">
              <h4>{item.title}</h4>
              <div style={{ textAlign: "center" }}>
                <img
                  loading="lazy"
                  alt={`${item?.caption} ETL`}
                  src={item?.image}
                  width={250}
                  height={250}
                />
              </div>
              <h5 className="color-dark">{item?.subTitle}</h5>

              <ul className={style.subject_offered_list}>
                {item?.subjectList?.map((ele, index) => {
                  return <li key={index}>{ele}</li>;
                })}
              </ul>
            </div>
          );
        })}
    </div>
  );
};

export default HomeSubjectCard;
