import * as React from 'react';
import Dialog from '@mui/material/Dialog';
import DialogContent from '@mui/material/DialogContent';
import DialogContentText from '@mui/material/DialogContentText';
import DialogTitle from '@mui/material/DialogTitle';
import Link from "next/link";


const CustomizedDialogs = React.forwardRef((props, ref) => { 

  const [open, setOpen] = React.useState(false);

  React.useImperativeHandle(ref, () => ({
    handleClickOpen(){
      setOpen(true);
    }
  }));

  const handleClose = () => {
    setOpen(false);
  };

  return (
    <div>
      <Dialog
        open={open}
        onClose={handleClose}
        aria-labelledby="asdf-title"
      >
        <DialogTitle id="asdf-title">
          <b>Login as a</b>
        </DialogTitle>
        <DialogContent>
          <DialogContentText>

          <div className="headerLogin btnContainer" style={{marginBottom: 20}}>
            <Link href="https://easetolearn.com/student">
              <a className="btn mybt-dark">Learner</a>
            </Link>
          </div>

          <div className="headerLogin btnContainer" style={{marginBottom: 20}} >
            <Link href="https://easetolearn.com/teacher">
                    <a className="btn mybt-dark">
                      Teacher
                    </a>
            </Link>
          </div>

          <div className="headerLogin btnContainer">
            <Link href="https://easetolearn.com/parent">
                    <a className="btn mybt-dark">
                      Parent
                    </a>
            </Link>
          </div>

          </DialogContentText>
        </DialogContent>

      </Dialog>
    </div>
  );
});

export default CustomizedDialogs;