import React from "react";

// Styles
import styles from "./MobileInput.module.css";

const MobileInput = (props) => {
  return (
    <div className={`flex_display ${styles.modal_login_inputs}`}>
      <div className={`${styles.modal_code}`}>
        <label className={`${styles.modal_label} ${styles.none_visibility}`}>Select Code</label>
        <div className={`flex_display ${styles.modal_region_code}`}>
          <img src="/india.png" width={18} height={18} alt={"Indian Flag"} />
          <span>(+91)</span>
        </div>
      </div>
      <div className={`${styles.modal_number}`}>
        <label
          className={`${styles.modal_label}`}
        >
          Enter your registered mobile number
        </label>
        <input
          type="text"
          className={`${styles.modal_number_input}`}
          value={props?.mobile}
          onChange={props?.handleNumberChange}
          maxLength="10"
        />
        <p className={`${styles.modal_label}  ${
            props?.isError ? styles.input_error : ""
          }`}>
          {props?.isError
            ? "Enter a valid Mobile Number"
            : "You will receive an OTP on this number."}
        </p>
      </div>
    </div>
  );
};

export default MobileInput;
