import React, { useEffect, useState } from "react";
import Head from "next/head";

import { makeStyles } from "@material-ui/core/styles";
import {
  Box,
  Container,
  Grid,
  Link,
  Button,
  TextField,
} from "@material-ui/core";
import Header from "../components/Header";
import Footer from "../components/Footer";
// import TabsHomeBlogs from "../components/TabsHomeBlogs";
// import TabsHomeCourses from "../components/TabsHomeCourses";
// import TabsHomeTestimonial from "../components/TabsHomeTestimonial";
import { useSelector } from "react-redux";

const useStyles = makeStyles((theme) => ({
  root: {
    background: "linear-gradient(45deg, #33ccff 30%, #0000ff 90%)",
    border: 0,
    borderRadius: 22,
    boxShadow: "0 3px 5px 2px rgba(255, 105, 135, .3)",
    color: "white",
    height: 48,
    padding: "0 30px",
    marginTop: "30px",
  },
  sectionDesktop: {
    display: "none",
    [theme.breakpoints.up("md")]: {
      display: "flex",
    },
  },
  sectionMobile: {
    display: "flex",
    [theme.breakpoints.up("md")]: {
      display: "none",
    },
  },
}));

export default function Home(props) {
  const cityListing = useSelector((state) => state.cityListing);
  const myCity = cityListing
    .map((city) => city.name)
    .toString()
    .toLowerCase();
  const [selectedCity, setCity] = useState("delhi");
  const classes = useStyles();

  useEffect(() => {
    setCity(myCity);
  });

  return (
    <>
      <Head>
        <title>
          Page Not Found | India`s Largest Free Learning Platform | EaseToLearn
        </title>
        <meta
          name="description"
          content="Page Not Found Online Exam Preparation Site -Engine To Accelerate your Learning | EaseToLearn"
        />
        <meta
          name="keywords"
          content="Page Not Found Online Tests for Recruitment &amp; Entrance Exams"
        />
        <link rel="icon" href="/favicon.ico" />
      </Head>

      <main>
        <Header />

        <div className="mybody" style={{ marginTop: 30 }}>
          <section className="mycontainer ">
            <div className="not_found">
              <img src="/404.svg" alt="404 Page image ETL" width={400} height={400} />
            </div>
            <div className="barbox-head color-dark">
              <h2 className="fixhead">Page Not Found!</h2>
              <div className="bar bg-dark"></div>
            </div>
          </section>

          <Box className="aboutUsBox">
            <Grid container>
              <Grid item xs={12} style={{ textAlign: "center" }}>
                We couldn't find the page you are looking for
                <br />
                <a
                  href="/"
                  className="bttonaa mybt-lightaa mttop30 gilroySemiBold"
                >
                  Go to EaseToLearn Home Page
                </a>
              </Grid>
            </Grid>
          </Box>

          {/* <div className="margin-bottommin-res"></div> */}
        </div>

        <Footer />
      </main>
    </>
  );
}

function makeEncodeURL(str) {
  let strArr = str.toLowerCase().split(" ");
  let returnURL = "";
  for (let i = 0; i < strArr.length; i++) {
    returnURL += strArr[i] + "+";
  }
  return returnURL.trim().substring(0, returnURL.length - 1);
}
