import React from 'react';
import Head from 'next/head';
import ReportGmailerrorredIcon from '@mui/icons-material/ReportGmailerrorred';
import {Box, Grid } from '@material-ui/core';
import Header from "../components/Header"; 
import Footer from "../components/Footer";
import Cookies from 'js-cookie';
import Link from "next/link";

export default function Page() {

	Cookies.remove('accountDetails');
	Cookies.remove('courseDetails');
	Cookies.remove('resetPasswordToken');

  return (
    <>
      <Head>
        <title>Payment Gateway Response Cancelled</title>
        <meta name="description" content="Payment Gateway Response Cancelled" />
        <meta name="keywords" content="Payment Gateway Response Cancelled" />
        <link rel="icon" href="/favicon.ico" />
 
      </Head>

      <main>

      <Header />

	  <Box className='mainBox'  >
	  
				
			  <Box mt={6}>
						<Grid container spacing={2}>
							<Grid item   md={12} xs={12} style={{textAlign:'center'}}>
								<div><ReportGmailerrorredIcon style={{fontSize:60,color:'#fe3000'}} /></div>
								<h3 className="heading" style={{color:'#fe3000'}} >Payment Transaction Failed</h3>
								<h3>Don't worry, You can try again.</h3>
								<br/>
								<p>
								<a href="courses">Try again</a>
								</p>
								<br/> OR <br/><br/> 
								<p>
								<Link href="/student">Go to your account</Link>
								</p>
							</Grid>
						</Grid>
				</Box>	



	  </Box>
      
      <Footer />

      </main>

    </>
  )
}


/*
export async function getServerSideProps() {
	const [specialitiesRes, healthissuesRes, articlesRes] = await Promise.all([		
	  fetch(process.env.NEXT_PUBLIC_API_URL+'/api/specialities?maxrows=6'),
	  fetch(process.env.NEXT_PUBLIC_API_URL+'/api/healthissues?maxrows=6'), 
	  fetch(process.env.NEXT_PUBLIC_API_URL+'/api/articles?maxrows=3')	  
	]);
	const [specialities, healthissues, articles] = await Promise.all([
		specialitiesRes.json(),
		healthissuesRes.json(), 
		articlesRes.json()
	]);
	return { props: { specialities, healthissues, articles } };
}
*/

//   function makeEncodeURL(str){
// 	let strArr = str.toLowerCase().split(" ");
// 	let returnURL="";
// 	for(let i=0; i<strArr.length; i++ ){
// 		returnURL+=strArr[i]+"+";
// 	}
// 	 return returnURL.trim().substring(0,returnURL.length-1);
//   }	
