import React from 'react';
import { makeStyles } from '@material-ui/core/styles';
import {Box, Container, Grid, Link, Button} from '@material-ui/core';
import Header from "../components/Header";
import Footer from "../components/Footer";
import Breadcrumbs from "../components/Breadcrumbs";

const useStyles = makeStyles((theme) => ({
	root: {
		background: 'linear-gradient(45deg, #33ccff 30%, #0000ff 90%)',
		border: 0,
		borderRadius: 22,
		boxShadow: '0 3px 5px 2px rgba(255, 105, 135, .3)',
		color: 'white',
		height: 48,
		padding: '0 30px',
		marginTop: '30px',
	  },
	  sectionDesktop: {
	  display: 'none',
	  [theme.breakpoints.up('md')]: {
		display: 'flex',
	  },
	},
	sectionMobile: {
	  display: 'flex',
	  [theme.breakpoints.up('md')]: {
		display: 'none',
	  },
	},
  }));

  const resultSet = [
	  					{'name':'Dr. Dinesh Aggarwal','image':'doctor.webp','specialities':'Gynecologist','experience':'10 yrs Experience','location':'Janakpuri, Delhi','fee':'600','headlines':'M.B.B.S, MD is a general physician who practices integrated medicine combining allopath system with ayurveda. His therapy areas include management of diabetes, hypothyroidism, counselling for relationship issues and sexual problems for both men and women. Many individuals and couples have benefited from his counseling /treatments.'},
	  					{'name':'Dr. Ramesh Mehta','image':'doctor.webp','specialities':'Gynecologist','experience':'10 yrs Experience','location':'Janakpuri, Delhi','fee':'300','headlines':'M.B.B.S, MD is a general physician who practices integrated medicine combining allopath system with ayurveda. His therapy areas include management of diabetes, hypothyroidism, counselling for relationship issues and sexual problems for both men and women. Many individuals and couples have benefited from his counseling /treatments.'},
	  					{'name':'Dr. Suresh Khanna','image':'doctor.webp','specialities':'Gynecologist','experience':'10 yrs Experience','location':'Janakpuri, Delhi','fee':'400','headlines':'M.B.B.S, MD is a general physician who practices integrated medicine combining allopath system with ayurveda. His therapy areas include management of diabetes, hypothyroidism, counselling for relationship issues and sexual problems for both men and women. Many individuals and couples have benefited from his counseling /treatments.'},
	  					{'name':'Dr. Rajiv Chowdhary','image':'doctor.webp','specialities':'Gynecologist','experience':'10 yrs Experience','location':'Janakpuri, Delhi','fee':'450','headlines':'M.B.B.S, MD is a general physician who practices integrated medicine combining allopath system with ayurveda. His therapy areas include management of diabetes, hypothyroidism, counselling for relationship issues and sexual problems for both men and women. Many individuals and couples have benefited from his counseling /treatments.'},
	  					{'name':'Dr. Monu Kumar','image':'doctor.webp','specialities':'Gynecologist','experience':'10 yrs Experience','location':'Janakpuri, Delhi','fee':'550','headlines':'M.B.B.S, MD is a general physician who practices integrated medicine combining allopath system with ayurveda. His therapy areas include management of diabetes, hypothyroidism, counselling for relationship issues and sexual problems for both men and women. Many individuals and couples have benefited from his counseling /treatments.'},
	  					{'name':'Dr. Kamlesh Maan','image':'doctor.webp','specialities':'Gynecologist','experience':'10 yrs Experience','location':'Janakpuri, Delhi','fee':'900','headlines':'M.B.B.S, MD is a general physician who practices integrated medicine combining allopath system with ayurveda. His therapy areas include management of diabetes, hypothyroidism, counselling for relationship issues and sexual problems for both men and women. Many individuals and couples have benefited from his counseling /treatments.'},
	  					{'name':'Dr. Meena Aggarwal','image':'doctor.webp','specialities':'Gynecologist','experience':'10 yrs Experience','location':'Janakpuri, Delhi','fee':'1600','headlines':'M.B.B.S, MD is a general physician who practices integrated medicine combining allopath system with ayurveda. His therapy areas include management of diabetes, hypothyroidism, counselling for relationship issues and sexual problems for both men and women. Many individuals and couples have benefited from his counseling /treatments.'},
	  					{'name':'Dr. Sonu Singh','image':'doctor.webp','specialities':'Gynecologist','experience':'10 yrs Experience','location':'Janakpuri, Delhi','fee':'1500','headlines':'M.B.B.S, MD is a general physician who practices integrated medicine combining allopath system with ayurveda. His therapy areas include management of diabetes, hypothyroidism, counselling for relationship issues and sexual problems for both men and women. Many individuals and couples have benefited from his counseling /treatments.'},
	  					{'name':'Dr. Jignesh Gupta','image':'doctor.webp','specialities':'Gynecologist','experience':'10 yrs Experience','location':'Janakpuri, Delhi','fee':'1800','headlines':'M.B.B.S, MD is a general physician who practices integrated medicine combining allopath system with ayurveda. His therapy areas include management of diabetes, hypothyroidism, counselling for relationship issues and sexual problems for both men and women. Many individuals and couples have benefited from his counseling /treatments.'},
	  					{'name':'Dr. Meenu Aggarwal','image':'doctor.webp','specialities':'Gynecologist','experience':'10 yrs Experience','location':'Janakpuri, Delhi','fee':'700','headlines':'M.B.B.S, MD is a general physician who practices integrated medicine combining allopath system with ayurveda. His therapy areas include management of diabetes, hypothyroidism, counselling for relationship issues and sexual problems for both men and women. Many individuals and couples have benefited from his counseling /treatments.'},
	  					{'name':'Dr. Joginder Goel','image':'doctor.webp','specialities':'Gynecologist','experience':'10 yrs Experience','location':'Janakpuri, Delhi','fee':'650','headlines':'M.B.B.S, MD is a general physician who practices integrated medicine combining allopath system with ayurveda. His therapy areas include management of diabetes, hypothyroidism, counselling for relationship issues and sexual problems for both men and women. Many individuals and couples have benefited from his counseling /treatments.'},
	  					{'name':'Dr. Annu Gupta','image':'doctor.webp','specialities':'Gynecologist','experience':'10 yrs Experience','location':'Janakpuri, Delhi','fee':'600','headlines':'M.B.B.S, MD is a general physician who practices integrated medicine combining allopath system with ayurveda. His therapy areas include management of diabetes, hypothyroidism, counselling for relationship issues and sexual problems for both men and women. Many individuals and couples have benefited from his counseling /treatments.'},
	  					{'name':'Dr. Maninder Aluwalia','image':'doctor.webp','specialities':'Gynecologist','experience':'10 yrs Experience','location':'Janakpuri, Delhi','fee':'500','headlines':'M.B.B.S, MD is a general physician who practices integrated medicine combining allopath system with ayurveda. His therapy areas include management of diabetes, hypothyroidism, counselling for relationship issues and sexual problems for both men and women. Many individuals and couples have benefited from his counseling /treatments.'},

					]

  export default function HomePage() {

	const classes = useStyles();

		return (
			<div>
				<Header />
				<Container>
					<div style={{marginTop:'5px',marginLeft:'10px'}} >					
						<Breadcrumbs />
					</div>

					<div className="list-box">
						
						{resultSet.map(myRow => ( 
							<Link href="#">
								<Box mt={4} >
									<Grid container spacing={2} >
										<Grid md={2} xs={2} style={{textAlign:'center'}} >
											<img src={'/images/'+myRow.image} alt="profile image ETL" />
										</Grid>	
										<Grid md={8} xs={10}> 
											<h4>{myRow.name}</h4>
											<p>{myRow.specialities}</p>
											<p>{myRow.experience}</p>
											<p>{myRow.location}</p>
											<p>₹{myRow.fee} Consultation fee at clinic</p>
											<p className="text-line-3, desktop-section">{myRow.headlines}</p>
										</Grid>	
										<Grid md={2} className={classes.sectionDesktop} >
											<Button className={classes.root} size="small">View Detail</Button>					
										</Grid>
									</Grid>
								</Box>	
							</Link>
						))}
					</div>




				</Container>
				<Footer />
			</div>
		);
 
}