import React, { useState, useEffect } from "react";
import axios from "axios";
import Head from "next/head";
import Cookies from "js-cookie";
import { useRouter } from "next/router";

// Components
import Header from "../../components/Header";
import Footer from "../../components/Footer";

// Styles
import styles from "./ViewPlans.module.css";

export default function packages(props) {
  return (
    <>
      <Head>
        <title>
          View Plans | EaseToLearn | India`s Largest Free Learning Platform
        </title>
        <meta
          name="description"
          content="Online Exam Preparation Site -Engine To Accelerate your Learning | EaseToLearn"
        />
        <meta
          name="keywords"
          content="Online Tests for Recruitment Entrance Exams"
        />
        <link rel="icon" href="/favicon.ico" />
      </Head>

      <main>
        <Header />
        <section className={styles.view_plans}>
          <h1 className={styles.heading}>
            Compare <span>All Plans</span>
          </h1>
          <h4 className={styles.subheading}>Learn more about each plan</h4>
          <div className={styles.all_plans}>
            <div className={styles.plan_row} style={{ border: "none" }}>
              <div className={styles.left_row}>
                <p></p>
              </div>
              <div className={styles.right_row}>
                <div>
                  <h2 className={styles.category}>BASIC</h2>
                </div>
                <div>
                  <h2 className={styles.category}>Medium</h2>
                </div>
                <div>
                  <h2 className={styles.category}>Hard</h2>
                </div>
              </div>
            </div>

            <div className={styles.plan_row}>
              <div className={styles.left_row}>
                <p>one</p>
              </div>
              <div className={styles.right_row}>
                <p>two</p>
                <p>two</p>
                <p>two</p>
              </div>
            </div>

            <div className={styles.plan_row}>
              <div className={styles.left_row}>
                <p>one</p>
              </div>
              <div className={styles.right_row}>
                <p>
                  <img src="/tick.png" width={16} height={16} alt="tick" />
                </p>
                <p>
                  <img src="/remove.png" width={16} height={16} alt="remove" />
                </p>
                <p>
                  <img src="/tick.png" width={16} height={16} alt="tick" />
                </p>
              </div>
            </div>

            <div className={styles.plan_row}>
              <div className={styles.left_row}>
                <p>one</p>
              </div>
              <div className={styles.right_row}>
                <p>
                  <img src="/tick.png" width={16} height={16} alt="tick" />
                </p>
                <p>
                  <img src="/remove.png" width={16} height={16} alt="remove" />
                </p>
                <p>
                  <img src="/tick.png" width={16} height={16} alt="tick" />
                </p>
              </div>
            </div>

            <div className={styles.plan_row}>
              <div className={styles.left_row}>
                <p>one</p>
              </div>
              <div className={styles.right_row}>
                <p>
                  <img src="/tick.png" width={16} height={16} alt="tick" />
                </p>
                <p>
                  <img src="/remove.png" width={16} height={16} alt="remove" />
                </p>
                <p>
                  <img src="/tick.png" width={16} height={16} alt="tick" />
                </p>
              </div>
            </div>

            <div className={styles.plan_row}>
              <div className={styles.left_row}>
                <p>one</p>
              </div>
              <div className={styles.right_row}>
                <p>
                  <img src="/tick.png" width={16} height={16} alt="tick" />
                </p>
                <p>
                  <img src="/remove.png" width={16} height={16} alt="remove" />
                </p>
                <p>
                  <img src="/tick.png" width={16} height={16} alt="tick" />
                </p>
              </div>
            </div>

            <div className={styles.plan_row}>
              <div className={styles.left_row}>
                <p>one</p>
              </div>
              <div className={styles.right_row}>
                <p>
                  <img src="/tick.png" width={16} height={16} alt="tick" />
                </p>
                <p>
                  <img src="/remove.png" width={16} height={16} alt="remove" />
                </p>
                <p>
                  <img src="/tick.png" width={16} height={16} alt="tick" />
                </p>
              </div>
            </div>

            <h3 className={styles.break_table}>Hello</h3>


            <div className={styles.plan_row}>
              <div className={styles.left_row}>
                <p>one</p>
              </div>
              <div className={styles.right_row}>
                <p>
                  <img src="/tick.png" width={16} height={16} alt="tick" />
                </p>
                <p>
                  <img src="/remove.png" width={16} height={16} alt="remove" />
                </p>
                <p>
                  <img src="/tick.png" width={16} height={16} alt="tick" />
                </p>
              </div>
            </div>

            <div className={styles.plan_row}>
              <div className={styles.left_row}>
                <p>one</p>
              </div>
              <div className={styles.right_row}>
                <p>
                  <img src="/tick.png" width={16} height={16} alt="tick" />
                </p>
                <p>
                  <img src="/remove.png" width={16} height={16} alt="remove" />
                </p>
                <p>
                  <img src="/tick.png" width={16} height={16} alt="tick" />
                </p>
              </div>
            </div>


            <div className={styles.plan_row}>
              <div className={styles.left_row}>
                <p>one</p>
              </div>
              <div className={styles.right_row}>
                <p>
                  <img src="/tick.png" width={16} height={16} alt="tick" />
                </p>
                <p>
                  <img src="/remove.png" width={16} height={16} alt="remove" />
                </p>
                <p>
                  <img src="/tick.png" width={16} height={16} alt="tick" />
                </p>
              </div>
            </div>

            <div
              className={styles.plan_row}
              style={{ border: "none", margin: "30px 0" }}
            >
              <div className={styles.left_row}>
                <p></p>
              </div>
              <div className={styles.right_row}>
                <div className={styles.startedButton}>Get Started</div>
                <div className={styles.startedButton}>Get Started</div>
                <div className={styles.startedButton}>Get Started</div>
              </div>
            </div>
          </div>
        </section>
        <Footer />
      </main>
    </>
  );
}

export async function getServerSideProps(context) {
  const param = context.query || [];
  const res = await fetch(
    process.env.NEXT_PUBLIC_API_URL +
      "/website-course-details-mpricing?courseUrl=" +
      param.course
  );
  const data = await res.json();
  return { props: { data } };
}
